# Inventory Discrepancy API

## Remove inventory discrepancies

> Removes inventory discrepancy records for the specified location that occurred before the given date.

```json
{"openapi":"3.0.0","info":{"title":"Inventory Discrepancy API","version":"1.0.0"},"servers":[{"url":"https://{domain}/api/v1/oms","variables":{"domain":{"default":"sandbox.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Use format: `Token <your_token>`"}},"parameters":{"format":{"name":"format","in":"query","description":"Response format","schema":{"type":"string","enum":["json"],"default":"json"}}},"schemas":{"InventoryDiscrepancyRemove":{"type":"object","required":["expired_date"],"properties":{"expired_date":{"type":"string","format":"date","nullable":false},"stock_location":{"type":"integer","nullable":true}}}},"responses":{"NoContent":{"description":"No Content"},"BadRequest":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"status_code":{"type":"integer"}}}}}},"Forbidden":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"detail":{"type":"string"}}},"status_code":{"type":"integer"}}}}}}}},"paths":{"/inventory-discrepancies/remove/":{"post":{"summary":"Remove inventory discrepancies","description":"Removes inventory discrepancy records for the specified location that occurred before the given date.","parameters":[{"$ref":"#/components/parameters/format"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryDiscrepancyRemove"}}}},"responses":{"204":{"$ref":"#/components/responses/NoContent"},"400":{"$ref":"#/components/responses/BadRequest"},"403":{"$ref":"#/components/responses/Forbidden"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/oms-openapis/reservation/inventory-discrepancy-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
